### Signal

# WebKit2WebExtension WebExtension::page-created

#### Declaration

    void
    page_created (
      WebKitWebExtension* self,
      WebKit2WebExtensionWebPage* web_page,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a new `WebKitWebPage` is created in the Web Process.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`web_page` | `WebKitWebPage`
| The `WebKitWebPage` created.
| The data is owned by the caller of the function.